import { OnInit, ElementRef } from '@angular/core';
import { SafeHtml, DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class SearchHighlighterComponent implements OnInit {
    private sanitizer;
    replacedInputText: SafeHtml | undefined;
    color: string;
    query: string;
    inputs: ElementRef | undefined;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    /**
     * research on any changes in query/color
     */
    ngOnChanges(): void;
    search(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchHighlighterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchHighlighterComponent, "ot-search-highlighter", never, { "color": "color"; "query": "query"; }, {}, never, ["*"]>;
}
